%define nginx_version 1.27.5
Name:          nginx-mod-dav-ext
Version:       3.0.0
Release:       14mamba
Summary:       nginx module for WebDAV PROPFIND,OPTIONS,LOCK,UNLOCK support
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/arut/nginx-dav-ext-module/
Source:        https://github.com/arut/nginx-dav-ext-module.git/v%{version}/nginx-dav-ext-module-%{version}.tar.bz2
Source1:       https://github.com/nginx/nginx/archive/refs/tags/release-%{nginx_version}.tar.gz 
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
## AUTOBUILDREQ-END
Requires:      nginx = %{nginx_version}

%description
nginx module for WebDAV PROPFIND,OPTIONS,LOCK,UNLOCK support.

%prep
%setup -q -c -n nginx-dav-ext-module-%{version} -a0 -a1
mv nginx-dav-ext-module-%{version} nginx-dav-ext-module

%build
cd nginx-release-%{nginx_version}
auto/configure \
   --modules-path=%{_libdir}/nginx/modules \
   --with-compat \
   --with-http_dav_module \
   --add-dynamic-module="../nginx-dav-ext-module"

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

cd nginx-release-%{nginx_version}/objs
for mod in ngx_*.so; do
  install -D -m0755 $mod %{buildroot}%{_libdir}/nginx/modules/$mod
done

mkdir -p %{buildroot}%{_sysconfdir}/nginx/modules-available
cat > %{buildroot}%{_sysconfdir}/nginx/modules-available/mod-http-dav-ext.conf << _EOF
load_module %{_libdir}/nginx/modules/ngx_http_dav_ext_module.so;
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/nginx/modules-available/mod-http-dav-ext.conf
%{_libdir}/nginx/modules/ngx_http_dav_ext_module.so
%doc nginx-dav-ext-module/LICENSE

%changelog
* Thu Apr 17 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-14mamba
- rebuilt for nginx 1.27.5

* Mon Feb 17 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-13mamba
- rebuilt with nginx 1.27.4

* Sat Oct 12 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-12mamba
- rebuit with nginx 1.27.2

* Mon Aug 19 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-11mamba
- rebuilt with nginx 1.27.1

* Thu Jun 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-10mamba
- rebuilt with nginx 1.27.0

* Wed Apr 24 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-9mamba
- rebuilt with nginx 1.26.0

* Wed Apr 17 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-8mamba
- rebuilt with nginx 1.25.5

* Fri Feb 23 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-7mamba
- rebuilt with nginx 1.25.4

* Sun Nov 19 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-6mamba
- rebuilt with nginx 1.25.3

* Mon Sep 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-5mamba
- rebuilt with nginx 1.25.2

* Tue Jul 18 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-4mamba
- rebuilt with nginx 1.25.1

* Thu Jan 26 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-3mamba
- rebuilt with nginx 1.23.3

* Fri Jun 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-2mamba
- add configuration file in /etc/nginx/modules-available; install module below %{_libdir}/nginx/modules

* Fri Jun 10 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.0-1mamba
- package created using the webbuild interface
